<?php

class MContact extends ObjectModel {

    /** @var string Name */
    public $contact;
    /** @var boolean MContact statuts */
    public $type;
    protected $fieldsRequired = array('contact');
    protected $fieldsSize = array('contact' => 255);
    protected $fieldsValidate = array('contact' => 'isCleanHtml', 'type' => 'isInt');
    protected $table = 'blockcontact';
    protected $identifier = 'id_contact';

    public function getFields() {
        parent::validateFields();

        $fields['contact'] = pSQL($this->contact, true);
        $fields['type'] = intval($this->type);

        return $fields;
    }

    static public function getContacts() {
        return Db::getInstance(_PS_USE_SQL_SLAVE_)->ExecuteS('
		SELECT *
		FROM `' . _DB_PREFIX_ . 'blockcontact`
		');
    }

}

?>